import enum


class AuthMethod(enum.StrEnum):
    EMAIL_PASSWORD = "email-password-based"
    API_KEY = "api-key-based"
    COOKIE = "cookie-based"


class CosmosAuthEndpoint(enum.StrEnum):
    AUTH_ENDPOINT_EMAIL_LOGIN = "/auth/email-login"
    AUTH_ENDPOINT_API_KEY = "/apollo/auth/apikey/validate"
    AUTH_ENDPOINT_COOKIE = "/apollo/auth/login"
